<template>
	<div class="flex flex-col">
		<div
			class="flex justify-between w-full mb-4 lg:mb-6 font-primary-font-light text-base leading-6"
			:class="[fromSuccess ? 'px-2 md:px-0 ' : 'px-2 md:px-4']"
		>
			<p>Subtotal</p>
			<p>{{ currencyDisplay }}{{ SUB_TOTAL_PRICE | centsToDollars | zeroDisplay | formatPrice }}</p>
		</div>
		<div
			class="flex justify-between w-full mb-4 lg:mb-6 font-primary-font-light text-base leading-6"
			:class="[fromSuccess ? 'px-2 md:px-0 ' : 'px-2 md:px-4']"
		>
			<p>Shipping</p>
			<p v-if="SHIPPING_PRICE === 'Free ground'">{{ SHIPPING_PRICE }}</p>
			<p v-else-if="(!SHIPPING_PRICE || SHIPPING_PRICE === '0') && isEurope">Free</p>
			<p v-else> {{ currencyDisplay }}{{ SHIPPING_PRICE | centsToDollars | zeroDisplay | formatPrice }} </p>
		</div>
		<div
			v-if="!isEurope"
			class="flex justify-between w-full mb-4 lg:mb-6 font-primary-font-light text-base leading-6"
			:class="[fromSuccess ? 'px-2 md:px-0 ' : 'px-2 md:px-4']"
		>
			<p>Tax</p>
			<p>{{ currencyDisplay }}{{ TAX_PRICE | centsToDollars | zeroDisplay | formatPrice }}</p>
		</div>
		<MkDiscount v-if="discount && DISCOUNT_PRICE" class="mt:0 md:mt-2 lg:mt-2 mb-4 md:mb-6 lg:mb-8" />
	</div>
</template>
<script>
import { mapState } from 'vuex';
import MkDiscount from '~/components/D2C/atoms/MkDiscount.vue';
export default {
	name: 'MkOrderTotal',
	components: {
		MkDiscount,
	},
	props: {
		discount: {
			type: Boolean,
			default: true,
		},
		checkoutClass: {
			type: Boolean,
			default: true,
		},
		fromSuccess: {
			type: Boolean,
			default: false,
		},
	},
	computed: {
		...mapState(['currencyDisplay', 'isEurope']),
		...mapState('USER_STORE', ['ORDER']),
		TAX_PRICE() {
			if (this.fromSuccess) {
				return this.ORDER?.custom?.fields?.totalTax || 0;
			} else {
				return this.$store.state.CART_STORE.TAX_PRICE;
			}
		},
		SUB_TOTAL_PRICE() {
			if (this.fromSuccess) {
				return this.ORDER?.custom?.fields?.subTotal || 0;
			} else {
				return this.$store.state.CART_STORE.SUB_TOTAL_PRICE;
			}
		},
		SHIPPING_PRICE() {
			if (this.fromSuccess) {
				let shippingMethodName = '';
				let price = 0;
				if (this.ORDER?.shippingInfo) {
					shippingMethodName = this.ORDER?.shippingInfo.shippingMethodName;
					price = this.ORDER?.shippingInfo?.price.centAmount;
				}
				if (shippingMethodName === 'FedEx - Ground-Business Delivery' && price === 0) {
					return 'Free ground';
				}
				return this.ORDER?.custom?.fields?.shippingCost || 0;
			} else {
				return this.$store.state.CART_STORE.SHIPPING_PRICE;
			}
		},
		DISCOUNT_PRICE() {
			if (this.fromSuccess) {
				return this.ORDER?.custom?.fields?.totalDiscountPrice || 0;
			} else {
				return this.$store.state.CART_STORE.DISCOUNT_PRICE;
			}
		},
	},
};
</script>
